Subject: Re: bug#68727: 30.0.50; package-upgrade-all fails

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Jan 2024 14:13:34 +0200

> Cc: [email-masked]
> From: Philip Kaludercic <[email-masked]>
> Date: Fri, 26 Jan 2024 08:45:23 +0000
> 
> Richard Stallman <[email-masked]> writes:
> 
> > I pulled from master on Jan 3.  I don't think I changed any files
> > except rmailsum.el (a change which I then installed on savannah).
> >
> > M-x package-upgrade-all got this error.
> >
> 
> Can you reliably reproduce this problem; that is to day are you sure
> that this is not a temporary network issue?  The issue basically boils
> down to the apparent inability to fetch and update the archive index.

If that's the reason, can the error message say something to that
effect, instead of the obscure "Not implemented"?

> > Debugger entered--Lisp error: (file-error "http://elpa.gnu.org/packages/archive-contents" "Not implemented")
> >   signal(file-error ("http://elpa.gnu.org/packages/archive-contents" "Not implemented"))
> >   package--with-response-buffer-1("http://elpa.gnu.org/packages/" #f(compiled-function () #<bytecode 0x10f9e89ff15533c5>) :file "archive-contents" :async nil :error-function #f(compiled-function () #<bytecode 0x25e331dd4def6df>) :noerror nil)
> >   package--download-one-archive(("gnu" . "http://elpa.gnu.org/packages/") "archive-contents" nil)